"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingMenuSubmenuHeader_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingMenuSubmenuHeader_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reacticons = require("@fluentui/react-icons");
const ArrowLeftIcon = (0, _reacticons.bundleIcon)(_reacticons.ArrowLeft20Filled, _reacticons.ArrowLeft20Regular);
const ArrowRightIcon = (0, _reacticons.bundleIcon)(_reacticons.ArrowRight20Filled, _reacticons.ArrowRight20Regular);
const useGroundingMenuSubmenuHeader_unstable = (props, ref)=>{
    const { dir } = (0, _reactcomponents.useFluent)();
    return {
        components: {
            root: 'div',
            backButton: _reactcomponents.Button,
            backButtonTooltip: _reactcomponents.Tooltip,
            primaryText: 'div',
            secondaryText: 'div'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        backButton: _reactcomponents.slot.optional(props.backButton, {
            defaultProps: {
                appearance: 'transparent',
                icon: dir === 'rtl' ? /*#__PURE__*/ _react.createElement(ArrowRightIcon, null) : /*#__PURE__*/ _react.createElement(ArrowLeftIcon, null),
                role: 'menuitem'
            },
            elementType: _reactcomponents.Button,
            renderByDefault: true
        }),
        backButtonTooltip: _reactcomponents.slot.optional(props.backButtonTooltip, {
            defaultProps: {
                relationship: 'label'
            },
            elementType: _reactcomponents.Tooltip
        }),
        primaryText: _reactcomponents.slot.optional(props.primaryText, {
            elementType: 'div'
        }),
        secondaryText: _reactcomponents.slot.optional(props.secondaryText, {
            elementType: 'div'
        })
    };
}; //# sourceMappingURL=useGroundingMenuSubmenuHeader.js.map
